Monitors

Authentication
The API key should be sent as a Bearer token in the Authorization header of the request. Get your API key.
List

API endpoint

GET
https://accrutransfer.accrusoft.com/api/v1/transfers

Request example

curl --location --request GET 'https://accrutransfer.accrusoft.com/api/v1/transfers' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'

Parameters

Name
Type
Description
search
optional string
The search query.
search_by
optional string
Search by. Possible values are: name for Name, description for Description, filename for Filename. Defaults to: name.
domain_id
optional integer
Domain ID.
sort_by
optional string
Sort by. Possible values are: id for Date created, name for Name, description for Description, size for Size, files_count for Files, downloads_count for Downloads, expires_at for Expires at. Defaults to: id.
sort
optional string
Sort. Possible values are: desc for Descending, asc for Ascending. Defaults to: desc.
per_page
optional integer
Results per page. Possible values are: 10, 25, 50, 100. Defaults to: 10.
Show

API endpoint

GET
https://accrutransfer.accrusoft.com/api/v1/transfers/{id}

Request example

curl --location --request GET 'https://accrutransfer.accrusoft.com/api/v1/transfers/{id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Store

API endpoint

POST
https://accrutransfer.accrusoft.com/api/v1/transfers

Request example

curl --location --request POST 'https://accrutransfer.accrusoft.com/api/v1/transfers' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}' \
--data-urlencode 'name={name}' \
--data-urlencode 'file_uuids[]={file_uuid}' \

Parameters

Name
Type
Description
name
required string
Name.
file_uuids
required array
The file UUIDs that are going to be attached to this transfer.
domain_id
required integer
Domain ID.
alias
optional string
Alias.
message
optional string
Message.
password
optional string
Password.
downloads_limit
optional integer
Downloads limit.
sender_email
optional string
Sender email.
recipient_emails[index][value]
optional array
Recipient emails.
Update

API endpoint

PUT PATCH
https://accrutransfer.accrusoft.com/api/v1/transfers/{id}

Request example

curl --location --request PUT 'https://accrutransfer.accrusoft.com/api/v1/transfers/{id}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}'

Parameters

Name
Type
Description
name
optional string
Name.
alias
optional string
Alias.
message
optional string
Description.
password
optional string
Password.
downloads_limit
optional integer
Downloads limit.
Delete

API endpoint

DELETE
https://accrutransfer.accrusoft.com/api/v1/transfers/{id}

Request example

curl --location --request DELETE 'https://accrutransfer.accrusoft.com/api/v1/transfers/{id}' \
--header 'Authorization: Bearer {api_key}'